#include <iostream>
#include <vector>

using namespace std;

using ll = long long;

const ll MOD = 998244353;

const int MAX_C = 2e6;

ll fact[MAX_C + 1], inv_fact[MAX_C + 1];

ll bin_pow(ll a, ll p) {
	if (!p) {
		return 1;
	}
	if (p & 1) {
		return bin_pow(a, p - 1) * a % MOD;
	} else {
		ll x = bin_pow(a, p / 2);
		return x * x % MOD;
	}
}

ll inv(ll x) {
	return bin_pow(x, MOD - 2);
}

ll cnk(ll n, ll k) {
	if (n < 0 || k < 0 || n - k < 0) {
		return 0;
	}
	return fact[n] * inv_fact[k] % MOD * inv_fact[n - k] % MOD;
}

void init() {
	fact[0] = 1;
	for (int i = 1; i <= MAX_C; ++i) {
		fact[i] = fact[i - 1] * i % MOD;
	}
	inv_fact[MAX_C] = inv(fact[MAX_C]);
	for (int i = MAX_C - 1; i >= 0; --i) {
		inv_fact[i] = inv_fact[i + 1] * (i + 1) % MOD;
	}
}

int main() {
	init();
	int n, C;
	cin >> n >> C;
	vector<int> lp(C + 1), pr;
	for (int i = 2; i <= C; ++i) {
		if (!lp[i]) {
			lp[i] = i;
			pr.push_back(i);
		}
		for (int j = 0; j < (int) pr.size() && pr[j] <= lp[i] && pr[j] * i <= C; ++j) {
			lp[pr[j] * i] = pr[j];
		}
	}
	vector<ll> ans(C + 1, 0);
	ans[1] = 1;
	for (int i = 2; i <= C; ++i) {
		int x = i;
		int d = lp[x];
		int cnt = 0;
		while (x % d == 0) {
			x /= d;
			cnt += 1;
		}
		ans[i] = ans[x] * cnk(n + cnt - 1, cnt) % MOD;
	}
	ll sum = 0;
	for (int i = 1; i <= C; ++i) {
		sum += ans[i];
	}
	cout << sum % MOD;
	return 0;
}
